@import "../custom-variables";

@mixin labels-theme($theme) {
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);

  .labels {
    margin-top: 0.25rem;

    .label {
      display: inline-block;
      vertical-align: middle;
      border-radius: 0.25rem;
      padding: 0.1333333rem 0.25rem;
      color: $grey-7;
      font-weight: 600;
      font-size: 0.75rem;
      line-height: 1rem;
      background-color: $grey-1;
      margin-right: 0.25rem;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;

      &.danger {
        background-color: $red-100;
        color: $red-700;
      }

      &.primary {
        background-color: $blue-100;
        color: $blue-900;
      }

      &.success {
        background-color: $green-50;
        color: $green-900;
      }

      &.highlight {
        background-color: $purple-50;
        color: $purple-900;
      }

      &.warning {
        background-color: $orange-50;
        color: $orange-900;
      }
    }
  }
}
